- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# fastformat_exception Class Reference
[The FastFormat Core Library]

`#include <fastformat/exceptions.hpp>`

Inheritance diagram for fastformat_exception:

List of all members.

## Detailed Description

Root class for all FastFormat exception.

Note:
  This class is abstract

## Public Types
typedef std::runtime_error | parent_class_type
| The parent exception class type.
typedef fastformat_exception | class_type
| This type.
typedef std::string | multibyte_string_type
| The multibyte string type.
typedef std::basic_string < ff_char_t > | string_type
| The string type.
## Public Member Functions
| fastformat_exception (char const *message)
| Constructs an exception with the given message.

## Member Typedef Documentation

typedef std::runtime_error parent_class_type

The parent exception class type.

Reimplemented in windows_resource_bundle::missing_resource_id_exception, format_parsing_exception, illformed_format_exception, mismatched_replacements_exception, missing_argument_exception, unreferenced_argument_exception, and bundle_exception.

typedef fastformat_exception class_type

This type.

Reimplemented in windows_resource_bundle::missing_resource_id_exception, format_parsing_exception, illformed_format_exception, mismatched_replacements_exception, missing_argument_exception, unreferenced_argument_exception, and bundle_exception.

typedef std::string multibyte_string_type

The multibyte string type.

typedef std::basic_string<ff_char_t> string_type

The string type.

Reimplemented in windows_resource_bundle::missing_resource_id_exception, format_parsing_exception, illformed_format_exception, mismatched_replacements_exception, missing_argument_exception, unreferenced_argument_exception, and bundle_exception.

## Constructor & Destructor Documentation

fastformat_exception | ( | char const * | message | ) | `[inline, explicit]`

Constructs an exception with the given message.

Parameters:

  | message | The message. May not be NULL

The documentation for this class was generated from the following file:

- fastformat/exceptions.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |